aboutsummaryrefslogtreecommitdiff
path: root/sys/process
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-02-06 22:45:16 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-02-06 22:45:16 +0000
commita5209c02619b5c1f95a9a473070b192624cffb89 (patch)
tree9cbc2e236ec4d5cbfb4cab0d1bc170d500d99a35 /sys/process
parent8c187c4a1e7aba382c11657f16e413b0622f0da4 (diff)
downloadslackbuilds-a5209c02619b5c1f95a9a473070b192624cffb89.tar.gz
slackbuilds-a5209c02619b5c1f95a9a473070b192624cffb89.tar.bz2
added logcheck
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1009 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sys/process')
-rwxr-xr-xsys/process/logcheck/logcheck.SlackBuild129
1 files changed, 129 insertions, 0 deletions
diff --git a/sys/process/logcheck/logcheck.SlackBuild b/sys/process/logcheck/logcheck.SlackBuild
new file mode 100755
index 00000000..2ffba2cd
--- /dev/null
+++ b/sys/process/logcheck/logcheck.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/bash
+#
+# slackbuild script for logcheck
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building logcheck are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="logcheck"
+ARCH="noarch"
+VERSION=${VERSION:=1.2.54}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE"_"$VERSION.tar.$PACKAGE_EXT"
+URL="http://ftp.debian.org/debian/pool/main/l/logcheck/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+mv etc/logcheck/logcheck.logfiles etc/logcheck/logcheck.logfiles.new
+mv etc/logcheck/logcheck.conf etc/logcheck/logcheck.conf.new
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+logcheck: logcheck
+logcheck:
+logcheck: Logcheck helps spot problems and security violations in your
+logcheck: logfiles automatically and will send the results to you in e-mail.
+logcheck:
+logcheck:
+logcheck:
+logcheck:
+logcheck:
+logcheck:
+logcheck:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS CHANGES CREDITS LICENSE TODO"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( if ! grep -qe "^logcheck:" etc/group; then echo creating group logcheck... ; chroot . /usr/sbin/groupadd logcheck; fi )' > install/doinst.sh
+echo '( if ! grep -qe "^logcheck:" etc/passwd; then echo creating user logcheck... ; chroot . /usr/sbin/useradd logcheck -g logcheck; fi )' >> install/doinst.sh
+echo '( if [ ! -d /etc/logcheck/logcheck.conf ]; then mv /etc/logcheck/logcheck.conf.new /etc/logcheck/logcheck.conf ; fi )' >> install/doinst.sh
+echo '( if [ ! -d /etc/logcheck/logcheck.logfiles ]; then mv /etc/logcheck/logcheck.logfiles.new /etc/logcheck/logcheck.logfiles ; fi )' >> install/doinst.sh
+echo '( chown -R logcheck.logcheck /etc/logcheck /var/lock/logcheck /var/lib/logcheck )' >> install/doinst.sh
+echo '( echo Verify/install manually command logcheck into logcheck crontab )' >> install/doinst.sh
+echo '( echo Also, make sure user logcheck can access your logfiles )' >> install/doinst.sh
+echo '( echo To test your installation, edit the config files and run 'logcheck -ot' )' >> install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+